Main Page Widgets Namespaces Book

# stringutils.h File Reference

## Namespaces

namespace | Glib
namespace | Glib::Ascii

## Functions

bool | str_has_prefix (const std::string& str, const std::string& prefix)
| Looks whether the string str begins with prefix.
bool | str_has_suffix (const std::string& str, const std::string& suffix)
| Looks whether the string str ends with suffix.
double | strtod (const std::string& str)
| Converts a string to a `double` value.
double | strtod (const std::string& str, std::string::size_type& end_index, std::string::size_type start_index=0)
| Converts a string to a `double` value.
std::string | dtostr (double d)
| Converts a `double` to a string, using the `'.'` as decimal point.
std::string | strescape (const std::string& source)
| Escapes all special characters in the string.
std::string | strescape (const std::string& source, const std::string& exceptions)
| Escapes all special characters in the string.
std::string | strcompress (const std::string& source)
| Replaces all escaped characters with their one byte equivalent.
Glib::ustring | strerror (int errnum)
| Returns a string corresponding to the given error code, e.g. `"no such process"`.
Glib::ustring | strsignal (int signum)
| Returns a string describing the given signal, e.g. `"Segmentation fault"`.